local object1 = ac.findNodes('Steer_Shaft_1')
local object2 = ac.findNodes('Steer_Shaft_2')
local lastSteer = 0

local exchangeTurbo = ac.connect({
	ac.StructItem.key('extaudio:%d.turbo' % car.index),
	antiLagPitch = ac.StructItem.float()
}, true, ac.SharedNamespace.Shared)

function script.update(dt)
	object1:rotate(vec3(0, 0, 1), math.rad(car.steer - lastSteer))
	object2:rotate(vec3(0, 0, 1), math.rad(car.steer - lastSteer))
	lastSteer = car.steer
	
	ac.CarAudioTweak.setPitch(ac.CarAudioEventID.Turbo, exchangeTurbo.antiLagPitch)
end